headless lms

The roles you can put on an API key

GET /api/access/api-keys/roles. The roles you can put on an API key. Headless LMS Access API reference.

GET
/api/access/api-keys/roles

Requires api_keys:write. The organization's roles whose every permission you hold somewhere.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/access/api-keys/roles"
[  {    "key": "string",    "name": "string",    "description": "string"  }]
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}